# Common makefile rules

.SUFFIXES: .vbp .tlb .dll .asm .cpp .idl .tlb .o .hi .hs

%.obj:	 %.cpp
	$(_CL) $(_CFLAGS) $*.cpp

%.obj:	 %.c
	$(CL) -c $(CFLAGS) $*.c

%.tlb: %.idl
	midl /mktyplib203 $*.idl

%.dasm: %.exe
	$(_DASM) $*.exe > $*.dasm

%.minfo: %.dll
	$(_MINFO) $*.dll > $*.minfo


# (conal) What's this next rule for?
%.hi : %.o
	@:

%.o  : %.hs
	$(HC) $(HC_OPTS) -o $@ -c $<

%.o  : %.lhs
	$(HC) $(HC_OPTS) -o $@ -c $<

%.hs : %.idl
	$(IHC) $(IHC_OPTS) -c $<
