#if !defined(FONTINFO_H__EDC98D59_E8BC_447D_AF4D_32CD209A8207__INCLUDED_)
#define FONTINFO_H__EDC98D59_E8BC_447D_AF4D_32CD209A8207__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

typedef struct {
  LOGFONT     lf;
  COLORREF    col;
} FontInfo;

//
// CLASS: CFontInfo
// 
// PURPOSE: This abstract class encodes the ability to
//          set/get a LOGFONT property.
//
// COMMENTS: The class is used to set/get the font property of
//           a textbox control.
//
class CFontProp {
public:

    virtual void GetFontInfo(FontInfo* pFontInfo) =0;
    virtual void  SetFontInfo(FontInfo fontInfo) =0;
};

#endif
